@keyframes move {
  0% {
    transform: translateY(-20%);
  }
  100% {
    transform: translateY(20%);
  }
}

.scroll-animation {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2rem;

  &__arrow {
    @include size(2rem, 1rem);
  }

  &__animate {
    animation: move 1.3s infinite linear alternate;
  }

  &__hand {
    display: none;
    @include size(3.375rem, 4.625rem);
  }

  &__mouse {
    @include size(3.75rem, 6.25rem);
  }

  .fill {
    fill: var(--alpha-color);

    &-stroke {
      stroke: var(--alpha-color);
    }
  }
}

// TABLET
@include tablet {
  .scroll-animation {
    &__hand {
      display: block;
    }
    &__mouse {
      display: none;
    }
  }
}

// PHONE
@include phone {
  .scroll-animation {
    gap: 0.7rem;
    &__arrow {
      @include size(0.75rem, 0.375rem);
    }
    &__hand {
      @include size(1.25rem, 1.75rem);
    }
  }
}
